Loading...
Searching...
No Matches
Opm::ReservoirCouplingSlave Class Reference

## Public Types

using | MessageTag = ReservoirCoupling::MessageTag
using | Potentials = ReservoirCoupling::Potentials

## Public Member Functions

| ReservoirCouplingSlave (const Parallel::Communication &comm, const Schedule &schedule, const SimulatorTimer &timer)
bool | activated () const
void | clearDeferredLogger ()
const Parallel::Communication & | getComm () const
const std::map< std::string, std::string > & | getSlaveToMasterGroupNameMap () const
void | maybeActivate (int report_step)
double | receiveNextTimeStepFromMaster ()
void | sendAndReceiveInitialData ()
void | sendNextReportDateToMasterProcess () const
void | sendPotentialsToMaster (const std::vector< Potentials > &potentials) const
void | setDeferredLogger (DeferredLogger *deferred_logger)

The documentation for this class was generated from the following files:

- opm/simulators/flow/ReservoirCouplingSlave.hpp
- opm/simulators/flow/ReservoirCouplingSlave.cpp